Package com.xebialabs.xlrelease.variable

## Class VariableFactory$

- java.lang.Object
- - com.xebialabs.xlrelease.variable.VariableFactory$

-     public class VariableFactory$
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static VariableFactory$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariableFactory$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `scala.Option<Variable>` | `createVariableByPropertyDescriptor​(PropertyDescriptor propertyDescriptor)` |
    `scala.Option<Variable>` | `createVariableByReference​(VariableReference variableReference)` |
    `Variable` | `createVariableByValueType​(java.lang.String key, java.lang.Object value, boolean isPassword, boolean isGlobalOrFolder)` |
    `java.util.List<Variable>` | `variableReferencesToVariables​(java.util.List<VariableReference> variables)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final VariableFactory$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### VariableFactory$

          public VariableFactory$()

  - ### Method Detail

    - #### createVariableByValueType

          public Variable createVariableByValueType​(java.lang.String key,
                                                    java.lang.Object value,
                                                    boolean isPassword,
                                                    boolean isGlobalOrFolder)

    - #### createVariableByReference

          public scala.Option<Variable> createVariableByReference​(VariableReference variableReference)

    - #### createVariableByPropertyDescriptor

          public scala.Option<Variable> createVariableByPropertyDescriptor​(PropertyDescriptor propertyDescriptor)

    - #### variableReferencesToVariables

          public java.util.List<Variable> variableReferencesToVariables​(java.util.List<VariableReference> variables)